Package: org.codehaus.groovy.control

## [Java] Interface ParserPlugin

- A simple extension point to allow us to switch between the classic Groovy parser and the new Antlr based parser

  Version:
    \$Revision\$

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ModuleNode` | `buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)`
    `Reduction` | `parseCST(SourceUnit sourceUnit, Reader reader)`

- - ### Method Detail

    - #### public ModuleNode buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)

    - #### public Reduction parseCST(SourceUnit sourceUnit, Reader reader)